CentOS 6.5 安装 Redis 执行 make #error “Newer version of jemalloc required”

CentOS 6.5 安装 Redis 执行 make #error “Newer version of jemalloc required”

安装过程参考:CentOS 6.5下Redis安装记录

根据你系统安装时或之后安装的选项的情况,可能在安装的过程中遇到不同的问题;

就像今天遇到的一台机器,安装时出现

  1. /bin/sh: cc: command not found

的错误,解决之后又出现这里说的问题;

[plain] view plain copy

  1. [root@localhost redis-3.2.0]# make
  2. cd src && make all
  3. make[1]: Entering directory /opt/redis-3.2.0/src'
  4.     CC adlist.o
  5. 在包含自 adlist.c:34 的文件中:
  6. zmalloc.h:50:31: 错误:jemalloc/jemalloc.h:没有那个文件或目录
  7. zmalloc.h:55:2: 错误:#error "Newer version of jemalloc required"
  8. make[1]: *** [adlist.o] 错误 1
  9. make[1]: Leaving directory /opt/redis-3.2.0/src’
  10. make: *** [all] 错误 2

解决方法:

[plain] view plain copy

  1. make MALLOC=libc

Leave a Reply

Your email address will not be published. Required fields are marked *